Package net.shibboleth.idp.profile.context

# Class ProfileInterceptorContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.profile.context.ProfileInterceptorContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class ProfileInterceptorContext extends BaseContext
A `BaseContext` which holds flows that are available to be executed, the last flow attempted, and any flow result.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private ProfileInterceptorFlowDescriptor`
`attemptedFlow`
The last flow attempted.
`private final Map<String,ProfileInterceptorFlowDescriptor>`
`availableFlows`
Flows that need to be executed.
`private final List<ProfileInterceptorResult>`
`results`
Results of the flow to be written to storage.

## Constructor Summary

Constructors
Constructor
Description
`ProfileInterceptorContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ProfileInterceptorFlowDescriptor`
`getAttemptedFlow()`
Get the last flow that was attempted.
`Map<String,ProfileInterceptorFlowDescriptor>`
`getAvailableFlows()`
Get the flows that are available to be executed.
`List<ProfileInterceptorResult>`
`getResults()`
Get the results of the flow to be written to storage.
`void`
`setAttemptedFlow(ProfileInterceptorFlowDescriptor flow)`
Set the last flow that was attempted.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### attemptedFlow

@Nullable private ProfileInterceptorFlowDescriptor attemptedFlow
The last flow attempted.

### availableFlows

@Nonnull private final Map<String,ProfileInterceptorFlowDescriptor> availableFlows
Flows that need to be executed.

### results

@Nonnull private final List<ProfileInterceptorResult> results
Results of the flow to be written to storage.

## Constructor Details

### ProfileInterceptorContext

public ProfileInterceptorContext()
Constructor.

## Method Details

### getAttemptedFlow

@Nullable public ProfileInterceptorFlowDescriptor getAttemptedFlow()
Get the last flow that was attempted.

Returns:
  last flow that was attempted

### setAttemptedFlow

public void setAttemptedFlow(@Nullable ProfileInterceptorFlowDescriptor flow)
Set the last flow that was attempted.

Parameters:
  `flow` - last flow that was attempted

### getAvailableFlows

@Nonnull @Live public Map<String,ProfileInterceptorFlowDescriptor> getAvailableFlows()
Get the flows that are available to be executed.

Returns:
  the available flows

### getResults

@Nonnull @Live public List<ProfileInterceptorResult> getResults()
Get the results of the flow to be written to storage.

Returns:
  the results of the flow to be written to storage